Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 04 Jun 2020, 01:19
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Fatdog64-710 Final [4 Dec 2016]
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 17 of 44 [646 Posts]   Goto page: Previous 1, 2, 3, ..., 15, 16, 17, 18, 19, ..., 42, 43, 44 Next
Author Message
step

Joined: 04 May 2012
Posts: 1329

PostPosted: Tue 07 Feb 2017, 06:26    Post subject:  

@jake29, I tested the kodi sfs on my PC and it works just fine. I do get two error messages.

(at kodi start)
/usr/lib/kodi/kodi.bin: /usr/lib64/libcrypto.so.1.0.0: no version information available (required by /usr/lib64/libssh.so.4)

(when I play a WSJ video channel)
Failed to open VDPAU backend libvdpau_nvidia.so: wrong ELF class: ELFCLASS32

The first message is the same message you get, which doesn't seem to affect kodi but could perhaps prevent some downloads, who knows
The second message concerns my nvidia graphics card and conflicting 32-bit libraries when the 32-bit sfs is loaded (mine is). This can often be fixed by starting kodi with
LD_LIBRARY_PATH=/lib64:/usr/lib64:$LD_LIBRARY_PATH kodi
Since you don't have an nvidia graphics card, the point I'm making is that you could have some lib conflicts if you load the 32-bit sfs.

The kodi sfs itself has some library conflicts with Fatdog64 base libs. This is the list: libbluetooth libgcrypt libgif libGLEW libgnutls libhogweed libnettle libpcre libssh libtag libtag_c (plus python2 if you load the devx sfs).
Those conflicts look harmless to me, but I'm no expert. Maybe the only one I would point out is libGLEW, which deals with OpenGL extensions, that is, video graphics stuff.

Hope this helps you in any way.

_________________
Fatdog64-810|+Packages|Kodi|gtkmenuplus
Back to top
View user's profile Send private message 
jake29

Joined: 24 Jul 2015
Posts: 251

PostPosted: Tue 07 Feb 2017, 09:04    Post subject:  

Kirk / Step - Thanks for the suggestions. I've installed mesa-vdpau-13.0.2 and will report back if all issues are resolved.
Back to top
View user's profile Send private message 
mmikey72

Joined: 06 Feb 2017
Posts: 2

PostPosted: Tue 07 Feb 2017, 11:38    Post subject: JRE Engine not found by LibreOffice  

step wrote:
Hi mmikey72 and welcome to the forum. In libreoffice, is Tools>Options>Libreoffice>Advanced>Use a java runtime environment enabled? Is a java installed path listed there?


Hi step, no, the area is grayed out. I cannot enable it. No Java installed path. But I could run Freeplane using the JDK which I installed using Gslapt.

I fiddled around with the advanced option in that window and tried to fill in the path information as required by Libreoffice, but I was stabbing in the dark and didn't have much luck (I found all the files installed for the JDK using Gslapt).
Back to top
View user's profile Send private message 
stemsee

Joined: 27 Jun 2013
Posts: 2572
Location: In The Way

PostPosted: Wed 08 Feb 2017, 04:37    Post subject:  

I want to customize the main menu colours, font and background: which config file do I edit? WM is openbox, but I cannot find a matching men items list. I am aware that menu groups are in /etc/xdg/menus, but which master/template config file as the font, colours and backgrund?
Back to top
View user's profile Send private message MSN Messenger 
step

Joined: 04 May 2012
Posts: 1329

PostPosted: Wed 08 Feb 2017, 09:01    Post subject: Re: JRE Engine not found by LibreOffice  

@mmikey72,

a few posts above
kirk wrote:
...
mmikey72,

Libreoffice was built without Java. I suspect you won't be able to make it work, but I haven't put that to the test.
...

So it could be that you won't be able to make it work. Maybe you could ask a question in the LO forums whether it is possible to run java applets if LO is compiled without Java.

Another option is to recompile LO with Java support.

_________________
Fatdog64-810|+Packages|Kodi|gtkmenuplus
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1329

PostPosted: Wed 08 Feb 2017, 09:16    Post subject:  

@stemsee,
/root/.config/lxqt/lxqt.conf.
Mine is
Code:

[General]
__userfile__=true
icon_theme=Windows10Icons
theme=light

Your lxqt theme folder goes into /usr/share/lxqt/themes, mine is
/usr/share/lxqt/themes/light

Ambiance is the default and only lxqt theme in Fatdog64-710. You could patch it, or find other themes at lxqt.org, or more quikcly here https://github.com/lxde/lxqt-common/tree/master/themes

_________________
Fatdog64-810|+Packages|Kodi|gtkmenuplus
Back to top
View user's profile Send private message 
jamesbond

Joined: 26 Feb 2007
Posts: 3473
Location: The Blue Marble

PostPosted: Wed 08 Feb 2017, 16:45    Post subject: Re: JRE Engine not found by LibreOffice  

step wrote:
So it could be that you won't be able to make it work. Maybe you could ask a question in the LO forums whether it is possible to run java applets if LO is compiled without Java.

Another option is to recompile LO with Java support.

Or open terminal, type "getlibre.sh" and build an SFS of the official version of libreoffice downloaded directly from documentfoundation.org.
When the SFS is done, load it and it will take over from the built-in libreoffice. Official binary should support Java.

_________________
Fatdog64 forum links: Latest version | Contributed packages | ISO builder
Back to top
View user's profile Send private message 
jake29

Joined: 24 Jul 2015
Posts: 251

PostPosted: Thu 09 Feb 2017, 03:52    Post subject: Mesa-vdpau  

Just to update; installing mesa-vdpau-13.0.2 cured all of the issues I was experiencing. Obviously it is an essential requirement for (some?) Radeon Graphics Cards. Thanks again for the help.
Back to top
View user's profile Send private message 
stemsee

Joined: 27 Jun 2013
Posts: 2572
Location: In The Way

PostPosted: Thu 09 Feb 2017, 18:51    Post subject: Re: JRE Engine not found by LibreOffice  

jamesbond wrote:
Or open terminal, type "getlibre.sh" and build an SFS of the official version of libreoffice downloaded directly from documentfoundation.org.
When the SFS is done, load it and it will take over from the built-in libreoffice. Official binary should support Java.


It doesnt work correctly! It makes tz files with debs inside!
Back to top
View user's profile Send private message MSN Messenger 
step

Joined: 04 May 2012
Posts: 1329

PostPosted: Fri 10 Feb 2017, 10:43    Post subject: Re: JRE Engine not found by LibreOffice  

stemsee wrote:
jamesbond wrote:
Or open terminal, type "getlibre.sh" and build an SFS of the official version of libreoffice downloaded directly from documentfoundation.org.
When the SFS is done, load it and it will take over from the built-in libreoffice. Official binary should support Java.


It doesnt work correctly! It makes tz files with debs inside!

It worked for me on first run. Did you get any error messages other than the minor ones listed below?
Code:

# getlibre.sh

Chosen version: 5.3.0 language: en-GB
Downloading LibreOffice_5.3.0_Linux_x86-64_deb
Downloading LibreOffice_5.3.0_Linux_x86-64_deb_helppack_en-GB
Downloading LibreOffice_5.3.0_Linux_x86-64_deb_langpack_en-GB
Downloading LibreOffice_5.3.0_Linux_x86-64_deb_sdk
Extracting LibreOffice_5.3.0_Linux_x86-64_deb
Extracting LibreOffice_5.3.0_Linux_x86-64_deb_helppack_en-GB
Extracting LibreOffice_5.3.0_Linux_x86-64_deb_langpack_en-GB
Extracting DEBs ...
Post-extract steps
‘usr/bin/libreoffice’ -> ‘libreoffice5.3’
‘usr/bin/soffice’ -> ‘libreoffice5.3’
sed: can't read opt/libreoffice5.3/share/xdg/printeradmin.desktop: No such file or directory
Building SFS
mv: cannot stat ‘etc’: No such file or directory
Parallel mksquashfs: Using 2 processors
Creating 4.0 filesystem on libreoffice-5.3.0-en-GB.sfs, block size 131072.
[==========================================================================\] 13609/13609 100%

Exportable Squashfs 4.0 filesystem, xz compressed, data block size 131072
   compressed data, compressed metadata, compressed fragments, compressed xattrs
   duplicates are removed
Filesystem size 222261.94 Kbytes (217.05 Mbytes)
   26.01% of uncompressed filesystem size (854443.16 Kbytes)
Inode table size 73426 bytes (71.71 Kbytes)
   22.99% of uncompressed inode table size (319359 bytes)
Directory table size 66078 bytes (64.53 Kbytes)
   30.45% of uncompressed directory table size (217008 bytes)
Number of duplicate files found 1766
Number of inodes 9159
Number of files 8241
Number of fragments 553
Number of symbolic links  11
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 907
Number of ids (unique uids + gids) 1
Number of uids 1
   root (0)
Number of gids 1
   root (0)
Done.

_________________
Fatdog64-810|+Packages|Kodi|gtkmenuplus
Back to top
View user's profile Send private message 
stemsee

Joined: 27 Jun 2013
Posts: 2572
Location: In The Way

PostPosted: Sat 11 Feb 2017, 03:55    Post subject:  

Step,

You are right. It is working. Just took a very long time because of my slow connection speed.

stemsee
Back to top
View user's profile Send private message MSN Messenger 
dr. Dan


Joined: 20 Apr 2015
Posts: 93
Location: Oregon, U.S.A.

PostPosted: Sat 11 Feb 2017, 15:44    Post subject:  

@stemsee:
re.: lxqt panel customization: The primary file you would modify is "/usr/share/lxqt/themes/ambiance/lxqt-panel.qss" I posted one with modifications a few pages back. There are additional .qss files, I haven't figured them out yet, but the changes I made work well for me. I hope that's useful.

@Smokey01:
Thanks again. In using GNUCash, I found that without dconf (right there in the repository), it couldn't remember where to find my data. After installing that, all seems well.

Dan
Back to top
View user's profile Send private message 
dr. Dan


Joined: 20 Apr 2015
Posts: 93
Location: Oregon, U.S.A.

PostPosted: Sat 11 Feb 2017, 15:54    Post subject:  

In Gslapt, I tried to install the Fatdog-update noarch2, but recieved an error of MD5 checksum mismatch.
Back to top
View user's profile Send private message 
stemsee

Joined: 27 Jun 2013
Posts: 2572
Location: In The Way

PostPosted: Sat 11 Feb 2017, 18:17    Post subject:  

Thanks Dr. Dan that seems to be the file I was looking for.

Also, FatDog keyboard layout doesn't seem to work properly, either. When I switch to potuguese keyboard layout none of the particular portuguese characters are evident. I can get them by changing xvkbd to portuguese.

Anyone else noticed this?
Back to top
View user's profile Send private message MSN Messenger 
chiefengineer

Joined: 25 Mar 2013
Posts: 65

PostPosted: Sat 11 Feb 2017, 23:59    Post subject: Printing in 702 stopped in 710
Subject description: Anything obvious to anyone?
 

I use this file:
http://distro.ibiblio.org/fatdog/packages/710/epson-escpr-1.6.4-x86_64-1.txz
Prints like a charm in 702 but fails without error in 710. Only difference I notice is a long uuid string on the end of the CUPS connection description for the printer connection in the 710 implementation.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 17 of 44 [646 Posts]   Goto page: Previous 1, 2, 3, ..., 15, 16, 17, 18, 19, ..., 42, 43, 44 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1322s ][ Queries: 12 (0.0328s) ][ GZIP on ]